<?xml version="1.0" encoding="utf-8"?>
<com.qmuiteam.qmui.layout.QMUILinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/ll_container"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical"
    android:background="@color/theme_white_color">

    <com.qmuiteam.qmui.widget.QMUITopBar
        android:id="@+id/topbar"
        android:layout_width="match_parent"
        android:layout_height="?attr/qmui_topbar_height"
        app:qmui_topbar_title_color="@color/theme_white_color" />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:layout_margin="@dimen/dp_10">

        <TextView
            android:id="@+id/tv_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textSize="@dimen/sp_16"
            android:textColor="#FF3C3C3C"
            android:layout_marginRight="@dimen/dp_10"
            android:layout_centerVertical="true"
            android:text="輸入取消數量"/>

        <TextView
            android:id="@+id/tv_number_value"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_45"
            android:background="@drawable/table_shape_input_table_number_frame"
            android:ems="5"
            android:textSize="@dimen/sp_24"
            android:paddingLeft="@dimen/dp_8"
            android:paddingRight="@dimen/dp_10"
            android:gravity="right|center_vertical"
            android:layout_toLeftOf="@+id/btn_all_number"
            android:layout_marginRight="@dimen/dp_10"
            android:inputType="numberDecimal"
            android:layout_toRightOf="@+id/tv_text"
            android:singleLine="true"
            android:text="1"
            android:textColor="@color/table_input_table_keypad"
            android:textColorHint="@color/theme_hint_color"
            android:textStyle="bold" />

        <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundButton
            android:id="@+id/btn_all_number"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="@color/theme_white_color"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:textSize="@dimen/sp_16"
            android:text="所有"
            app:qmui_radius="@dimen/dp_5"
            app:qmui_backgroundColor="@color/theme_color"
            android:padding="@dimen/dp_8"/>
    </RelativeLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="@dimen/dp_8"
        android:orientation="vertical">

    <com.qmuiteam.qmui.widget.QMUISlider
        android:id="@+id/slider_food_count"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:qmui_slider_bar_progress_color="@color/theme_color" />

        <TextView
            android:id="@+id/tv_min_number"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="0"
            android:textSize="@dimen/sp_18"
            android:textColor="#FF3C3C3C"
            android:layout_marginLeft="@dimen/dp_10"
            android:layout_below="@+id/slider_food_count"/>

        <TextView
            android:id="@+id/tv_max_number"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="10"
            android:textSize="@dimen/sp_18"
            android:textColor="#FF3C3C3C"
            android:layout_below="@+id/slider_food_count"
            android:layout_alignParentRight="true"/>
    </RelativeLayout>

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="@dimen/dp_8">

        <com.qmuiteam.qmui.widget.QMUIEmptyView
            android:id="@+id/emptyView"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:fitsSystemWindows="true" />

        <ProgressBar
            android:id="@+id/progress"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:visibility="invisible"/>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recycle_cancel_info"
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />
    </FrameLayout>
</com.qmuiteam.qmui.layout.QMUILinearLayout>